PHINX(1)

NAME
phinx - PHP database migration tool

SYNOPSIS
phinx -V | --version

phinx [-hnqv] [--help] [--no-interaction] [--quiet] [--verbose] [--[no-]ansi] [further options] command [arg ...]

DESCRIPTION
The phinx utility assists with using the Phinx database migration tool. This manual page is only an introduction for the utility written for Debian (but may be used by others) and not a substitute for its interactive help facility or the official documentation; the closest to a documentation for this utility is probably here: https://book.cakephp.org/3.0/en/phinx/commands.html

In general, phinx operates by calling a subcommand, which may or may not have their own (optional or required) options and arguments, in additions to a few global options, which are as follows (the descriptions were taken straight from the utility's on-line help messages):

-h, --help
    Display the on-line help.

-n, --no-interaction
    Do not ask any interactive question.

-q, --quiet
    Do not output any message.

-V, --version
    Show the application version and immediately exit (do not run any subcommand).

-v, --verbose
    Increase the verbosity of messages. This option may be passed up to three times to increase verbosity: once for normal output, twice for more verbose output, and thrice for debugging output.

--ansi, --no-ansi
    Force or disable, respectively, ANSI escape coloured output.

The subcommands are as follows:

breakpoint
    Manage breakpoints
create
    Create a new migration
help
    Displays help for a command
init
    Initialise the application for Phinx
list
    Lists commands
migrate
    Migrate the database
rollback
    Rollback the last or to a specific migration
seed:create
    Create a new database seeder
seed:run
    Run database seeders
status
    Show migration status
test
    Verify the configuration file

Documentation for a specific subcommand can be retrieved with:
$ phinx help command

DIAGNOSTICS
The phinx utility exits with errorlevel 255 in Debian if the package composer is not installed, which is an optional dependency (“Recommends”). The status subcommand exits with errorlevel 0 if the database is up-to-date, 1 if there is at least one migration to execute, and 2 if a migration already run and recorded in the database is now missing. Other exit statuses are not documented. Please complain to upstream about this.

SEE ALSO
https://book.cakephp.org/3.0/en/phinx/commands.html